Index: tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at
===================================================================
--- tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision af340c21b5447cefb53f0abf8de5efbe586d4b7b)
+++ tests/GuiChecks/Filling/FillSurface/testsuite-fill-surface-micelle.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
+AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1"
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
@@ -39,5 +39,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo
+AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/$file], 0, [ignore], [ignore])
@@ -53,5 +53,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillSurface/pre/tensid.potentials .], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder 	--parse-tremolo-potentials tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo
+AT_CHECK([../../molecuilder 	--parse-particle-parameters tensid.potentials 	-i $file 	--select-all-molecules 	--rotate-to-principal-axis-system "0,0,-1" 	--create-shape 		--shape-name "sphere1" 		--shape-type "sphere" 		--translation "0,0,0" 		--stretch "20.,20.,20." 	--select-shape-by-name "sphere1" 	--fill-surface 		--count 20 		--min-distance 3.1 		--Alignment-Axis "0,0,1" 	--undo 	--redo
 ], 0, [stdout], [stderr])
 AT_CHECK([diff -I '.*Created by molecuilder.*' $file ${abs_top_srcdir}/tests/regression/Filling/FillSurface/post/tensid.data], 0, [ignore], [ignore])
Index: tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at
===================================================================
--- tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision af340c21b5447cefb53f0abf8de5efbe586d4b7b)
+++ tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid-with-surface.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -25,5 +25,5 @@
 AT_CHECK([chmod u+w $file], 0)
 # check that specifying radius but selecting no atoms is wrong
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid-with-surface.py >session-fill-regular-grid-with-surface_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid-with-surface_new.py], 5, [stdout], [stderr])
@@ -37,5 +37,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid-with-surface.py >session-fill-regular-grid-with-surface_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid-with-surface_new.py], 0, [stdout], [stderr])
@@ -51,5 +51,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid-with-surface.py >session-fill-regular-grid-with-surface_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid-with-surface_new.py], 0, [stdout], [stderr])
@@ -65,5 +65,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/double_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file --select-all-atoms -B "14.199,0,14.199,0,0,14.199" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 5 --mesh-offset "0.5,0.5,0.5" --tesselation-radius 10 --min-distance .5 --undo --redo --no-dry-run --store-session session-fill-regular-grid-with-surface.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid-with-surface.py >session-fill-regular-grid-with-surface_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid-with-surface_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid.at
===================================================================
--- tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision af340c21b5447cefb53f0abf8de5efbe586d4b7b)
+++ tests/GuiChecks/Filling/RegularGrid/testsuite-fill-regular-grid.at	(revision d50b9151219b75020931486afa73b2b92312849b)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid.py >session-fill-regular-grid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid_new.py], 0, [stdout], [stderr])
@@ -38,5 +38,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid.py >session-fill-regular-grid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid_new.py], 0, [stdout], [stderr])
@@ -52,5 +52,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/single_sles.data $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run --parse-tremolo-potentials ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run --parse-particle-parameters ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/sles.potentials -i $file -B "14.199,0,16.6216,0,0,33.9159" --load ${abs_top_srcdir}/tests/regression/Filling/RegularGrid/pre/water.data --select-molecule-by-order -1 --fill-regular-grid --mesh-size 5 5 11 --mesh-offset "0.5,0.5,0.5" --min-distance 3.1 --undo --redo --no-dry-run --store-session session-fill-regular-grid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-fill-regular-grid.py >session-fill-regular-grid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-fill-regular-grid_new.py], 0, [stdout], [stderr])
